Update Task
Update Task — Taskade REST API v1 reference: PUT /projects/{projectId}/tasks/{taskId}. Parameters, authentication, and response schema.
put
Update task.
Authorizations
OAuth2authorizationCodeRequired
Authorization URL: Token URL:
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
projectIdstringRequired
taskIdstringRequired
Body
contentTypestring · enumRequiredPossible values:
contentstring · max: 2000RequiredPattern:
^[^\r\n]*$Responses
200
Updated task
application/json
Updated task
okbooleanRequired
4XX
Error description
application/json
put/projects/{projectId}/tasks/{taskId}
PUT /api/v1/projects/{projectId}/tasks/{taskId} HTTP/1.1
Host: www.taskade.com
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 48
{
"contentType": "text/markdown",
"content": "text"
}{
"ok": true,
"item": {
"id": "abc123DEF456",
"text": "Follow up with client",
"parentId": "abc123DEF456",
"completed": false
}
}Last updated
Was this helpful?